Browsable Browsable Docs

Reddit Wiki Page

Endpoint reference for /v1/reddit/r/:subreddit/wiki/:pageName.

POST /v1/reddit/r/:subreddit/wiki/:pageName

Request Parameters

Name In Type Required Description
pageName path string Yes Wiki page name
subreddit path string Yes Subreddit name

Response Structure

Async kickoff response

Polled run result response

Sync response

Declared output schema

Code Examples

Async + polling

RUN=$(curl -s -X POST "https://api.browsable.app/v1/reddit/r/programming/wiki/Stylish%20Shoreditch%20Loft%20with%20Balcony" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
done

Sync

curl -X POST "https://api.browsable.app/v1/reddit/r/programming/wiki/Stylish%20Shoreditch%20Loft%20with%20Balcony" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"_run":{"async":false}}'